Page MenuHomePhabricator

Extension WebPlatformSearchAutocomplete failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

18:58:54 There were 2 failures:
18:58:54 
18:58:54 1) ApiDocumentationTest::testDocumentationExists with data set "Module webplatformsearch with MiserMode=false, AllowCategorizedRecentChanges=false" ('webplatformsearch', array(false, false))
18:58:54 Module description message apihelp-webplatformsearch-description exists
18:58:54 Failed asserting that false is true.
18:58:54 
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:58:54 
18:58:54 2) ApiDocumentationTest::testDocumentationExists with data set "Module webplatformsearch with MiserMode=true, AllowCategorizedRecentChanges=true" ('webplatformsearch', array(true, true))
18:58:54 Module description message apihelp-webplatformsearch-description exists
18:58:54 Failed asserting that false is true.
18:58:54 
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:58:54 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:58:54 
18:58:54 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/WebPlatformSearchAutocomplete : masterFix extension failing tests due to missing apihelp

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 7:00 PM

Change 331992 had a related patch set uploaded (by DatGuy):
Fix extension failing tests due to missing apihelp

https://gerrit.wikimedia.org/r/331992

DatGuy added a subscriber: DatGuy.Jan 13 2017, 5:33 PM
DatGuy claimed this task.Jan 14 2017, 1:08 PM
Jdforrester-WMF closed this task as Resolved.Jan 14 2017, 11:04 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thanks!

Change 331992 merged by jenkins-bot:
Fix extension failing tests due to missing apihelp

https://gerrit.wikimedia.org/r/331992